Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 622724 - SELinux /usr/bin/pgrep and /proc/<PID> access
SELinux /usr/bin/pgrep and /proc/<PID> access
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-mls (Show other bugs)
12
All Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-10 05:29 EDT by Romain Ferrari
Modified: 2010-11-03 07:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-03 07:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Romain Ferrari 2010-08-10 05:29:35 EDT
Description of problem:

type=AVC msg=audit(1281431652.123:1261): avc:  denied  { getattr } for  pid=26443 comm="pgrep" path="/proc/12978" dev=proc ino=45114 scontext=system_u:system_r:ksmtuned_t:s0-s15:c0.c1023 tcontext=system_u:system_r:svirt_t:s0:c731,c1020 tclass=dir
type=SYSCALL msg=audit(1281431652.123:1261): arch=c000003e syscall=4 success=yes exit=0 a0=1d6e070 a1=3d72411ca0 a2=3d72411ca0 a3=1d6e076 items=0 ppid=26442 pid=26443 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="pgrep" exe="/usr/bin/pgrep" subj=system_u:system_r:ksmtuned_t:s0-s15:c0.c1023 key=(null)

Version-Release number of selected component (if applicable):

selinux-policy-mls-3.6.32-118.fc12.noarch
virt-manager 0.8.4

How reproducible:

You just have to launch virt-manager
Comment 1 Romain Ferrari 2010-08-10 05:49:36 EDT
until this is fixed you can create a module using this command :
create a myksm.te with this lines in it

policy_module(myksm, 1.0.0)
require { type ksmtuned_t; }
mls_file_read_all_levels(ksmtuned_t)

Compile it and load it by using

# make -f /usr/share/selinux/devel/Makefile
# semodule -i myksm.pp

The AVC should disapear
Comment 2 Daniel Walsh 2010-08-10 08:16:15 EDT
In Rawhide and F13 we have

mls_file_read_to_clearance(ksmtuned_t)
Comment 3 Miroslav Grepl 2010-08-17 06:49:44 EDT
Fixed in selinux-policy-3.6.32-121.fc12
Comment 4 Bug Zapper 2010-11-03 07:05:10 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.